---
title: 'Revoke badge from account'
description: 'This endpoint allows you to revoke a badge from an account'
openapi: POST /api/loyalty/badges/{id}/revoke
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/loyalty/badges/{id}/revoke` — path parameters: `id`

`POST https://admin.snagsolutions.io/api/loyalty/badges/{id}/revoke`

This endpoint allows you to revoke a badge from an account

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required) — UUID of the badge (converted to lowercase)

## Request body

- Content type: `application/json`
  - request body (object) — Schema for a update user badge schema
    - `userId` (string, uuid) — UUID of the user (converted to lowercase)
    - `walletAddress` (string) — Validated and formatted wallet address
    - `status` (string, one of: active, inactive, revoked) — Status of the badge

## Response 200

200
  - response (object) — Response returned upon successful update of the user badge
    - `message` (string, required) — The message returned upon update of the badge
    - `data` (object, required)
      - `id` (string, uuid, required)
      - `userId` (string, uuid, required)
      - `loyaltyBadgeId` (string, uuid, required)
      - `status` (string, required, one of: active, inactive, revoked)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
